# Uses of Class
org.apache.lucene.geo.Geometry

Packages that use Geometry
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.geo
Geospatial Utility Implementations for Lucene Core

## Uses of Geometry in org.apache.lucene.document

Fields in org.apache.lucene.document declared as Geometry
Modifier and Type
Field
Description
`protected final Geometry`
ShapeDocValues.`boundingBox`
the bounding box of the shape docvalue
`protected final Geometry`
ShapeDocValues.`boundingBox`
the bounding box of the shape docvalue
`protected final Geometry`
ShapeDocValues.`centroid`
the centroid of the shape docvalue
`protected final Geometry`
ShapeDocValues.`centroid`
the centroid of the shape docvalue
Methods in org.apache.lucene.document that return Geometry
Modifier and Type
Method
Description
`abstract Geometry`
ShapeDocValuesField.`getBoundingBox()`
retrieves the bounding box for the geometry
`abstract Geometry`
ShapeDocValuesField.`getCentroid()`
retrieves the centroid location for the geometry

## Uses of Geometry in org.apache.lucene.geo

Subclasses of Geometry in org.apache.lucene.geo
Modifier and Type
Class
Description
`final class`
`Circle`
Represents a circle on the earth's surface.
`class`
`LatLonGeometry`
Lat/Lon Geometry object.
`class`
`Line`
Represents a line on the earth's surface.
`final class`
`Point`
Represents a point on the earth's surface.
`final class`
`Polygon`
Represents a closed polygon on the earth's surface.
`class`
`Rectangle`
Represents a lat/lon rectangle.
`final class`
`XYCircle`
Represents a circle on the XY plane.
`class`
`XYGeometry`
Cartesian Geometry object.
`class`
`XYLine`
Represents a line in cartesian space.
`final class`
`XYPoint`
Represents a point on the earth's surface.
`final class`
`XYPolygon`
Represents a polygon in cartesian space.
`final class`
`XYRectangle`
Represents a x/y cartesian rectangle.